<?php
/**
 * Active Callbacks
 *
 * @package aster_portfolio
 */

// Theme Options.
function aster_portfolio_is_pagination_enabled( $aster_portfolio_control ) {
	return ( $aster_portfolio_control->manager->get_setting( 'aster_portfolio_enable_pagination' )->value() );
}
function aster_portfolio_is_breadcrumb_enabled( $aster_portfolio_control ) {
	return ( $aster_portfolio_control->manager->get_setting( 'aster_portfolio_enable_breadcrumb' )->value() );
}
function aster_portfolio_is_layout_enabled( $aster_portfolio_control ) {
	return ( $aster_portfolio_control->manager->get_setting( 'aster_portfolio_website_layout' )->value() );
}
function aster_portfolio_is_pagetitle_bcakground_image_enabled( $aster_portfolio_control ) {
	return ( $aster_portfolio_control->manager->get_setting( 'aster_portfolio_page_header_style' )->value() );
}
function aster_portfolio_is_preloader_style( $aster_portfolio_control ) {
	return ( $aster_portfolio_control->manager->get_setting( 'aster_portfolio_enable_preloader' )->value() );
}

// Header Options.
function aster_portfolio_is_topbar_enabled( $aster_portfolio_control ) {
	return ( $aster_portfolio_control->manager->get_Setting( 'aster_portfolio_enable_topbar' )->value() );
}

// Slider Slider Section.
function aster_portfolio_is_slider_section_enabled( $aster_portfolio_control ) {
	return ( $aster_portfolio_control->manager->get_setting( 'aster_portfolio_enable_slider_section' )->value() );
}
function aster_portfolio_is_slider_slider_section_and_content_type_post_enabled( $aster_portfolio_control ) {
	$aster_portfolio_content_type = $aster_portfolio_control->manager->get_setting( 'aster_portfolio_slider_slider_content_type' )->value();
	return ( aster_portfolio_is_slider_section_enabled( $aster_portfolio_control ) && ( 'post' === $aster_portfolio_content_type ) );
}
function aster_portfolio_is_slider_slider_section_and_content_type_page_enabled( $aster_portfolio_control ) {
	$aster_portfolio_content_type = $aster_portfolio_control->manager->get_setting( 'aster_portfolio_slider_slider_content_type' )->value();
	return ( aster_portfolio_is_slider_section_enabled( $aster_portfolio_control ) && ( 'page' === $aster_portfolio_content_type ) );
}

// Services section.
function aster_portfolio_is_post_tab_section_and_content_type_page_enabled( $aster_portfolio_control ) {
	$aster_portfolio_content_type = $aster_portfolio_control->manager->get_setting( 'aster_portfolio_slider_slider_content_type' )->value();
	return ( aster_portfolio_is_slider_section_enabled( $aster_portfolio_control ) && ( 'page' === $aster_portfolio_content_type ) );
}
function aster_portfolio_is_post_tab_section_and_content_type_post_enabled( $aster_portfolio_control ) {
	$aster_portfolio_content_type = $aster_portfolio_control->manager->get_setting( 'aster_portfolio_slider_slider_content_type' )->value();
	return ( aster_portfolio_is_slider_section_enabled( $aster_portfolio_control ) && ( 'post' === $aster_portfolio_content_type ) );
}
function aster_portfolio_is_services_section_enabled( $aster_portfolio_control ) {
	return ( $aster_portfolio_control->manager->get_setting( 'aster_portfolio_enable_services_section' )->value() );
}
function aster_portfolio_is_services_section_and_content_type_post_enabled( $aster_portfolio_control ) {
	$aster_portfolio_content_type = $aster_portfolio_control->manager->get_setting( 'aster_portfolio_services_content_type' )->value();
	return ( aster_portfolio_is_services_section_enabled( $aster_portfolio_control ) && ( 'post' === $aster_portfolio_content_type ) );
}
function aster_portfolio_is_services_section_and_content_type_page_enabled( $aster_portfolio_control ) {
	$aster_portfolio_content_type = $aster_portfolio_control->manager->get_setting( 'aster_portfolio_services_content_type' )->value();
	return ( aster_portfolio_is_services_section_enabled( $aster_portfolio_control ) && ( 'page' === $aster_portfolio_content_type ) );
}